Bug 1267297 - [abrt] youtube-dl: urllib2.py:285:get_type:ValueError: unknown url type: //popplers5.bandcamp.com/download/track?enc=mp3-128&fsig=e2885cf1b3367fa7c152298040e4ebfb&id=2790257828&stream=1&ts=1443527878.0
[abrt] youtube-dl: urllib2.py:285:get_type:ValueError: unknown url type: //po...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: youtube-dl (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Till Maas
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:c0808cfb730762cc8b882940cd2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-29 11:00 EDT by Gwendal
Modified: 2015-10-09 06:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-09 06:11:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.71 KB, text/plain)
2015-09-29 11:00 EDT, Gwendal
no flags Details
File: environ (3.10 KB, text/plain)
2015-09-29 11:00 EDT, Gwendal
no flags Details

  None (edit)
Description Gwendal 2015-09-29 11:00:09 EDT
Description of problem:
I've tried a download, which failed the first time, but worked with my second attempt.

Version-Release number of selected component:
youtube-dl-2015.09.09-1.fc22

Additional info:
reporter:       libreport-2.6.2
cmdline:        /usr/bin/python2 /usr/bin/youtube-dl -x -c -R 20 --audio-format vorbis --autonumber-size 2 -o '%(autonumber)s - %(title)s.%(ext)s' https://ddrkirbyisq.bandcamp.com/album/the-ecstasy-of-life
dso_list:       python-libs-2.7.10-4.fc22.x86_64
executable:     /usr/bin/youtube-dl
kernel:         4.1.7-200.fc22.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
urllib2.py:285:get_type:ValueError: unknown url type: //popplers5.bandcamp.com/download/track?enc=mp3-128&fsig=e2885cf1b3367fa7c152298040e4ebfb&id=2790257828&stream=1&ts=1443527878.0

Traceback (most recent call last):
  File "/usr/bin/youtube-dl", line 9, in <module>
    load_entry_point('youtube-dl==2015.9.9', 'console_scripts', 'youtube-dl')()
  File "/usr/lib/python2.7/site-packages/youtube_dl/__init__.py", line 410, in main
    _real_main(argv)
  File "/usr/lib/python2.7/site-packages/youtube_dl/__init__.py", line 400, in _real_main
    retcode = ydl.download(all_urls)
  File "/usr/lib/python2.7/site-packages/youtube_dl/YoutubeDL.py", line 1658, in download
    url, force_generic_extractor=self.params.get('force_generic_extractor', False))
  File "/usr/lib/python2.7/site-packages/youtube_dl/YoutubeDL.py", line 671, in extract_info
    return self.process_ie_result(ie_result, download, extra_info)
  File "/usr/lib/python2.7/site-packages/youtube_dl/YoutubeDL.py", line 832, in process_ie_result
    extra_info=extra)
  File "/usr/lib/python2.7/site-packages/youtube_dl/YoutubeDL.py", line 724, in process_ie_result
    extra_info=extra_info)
  File "/usr/lib/python2.7/site-packages/youtube_dl/YoutubeDL.py", line 671, in extract_info
    return self.process_ie_result(ie_result, download, extra_info)
  File "/usr/lib/python2.7/site-packages/youtube_dl/YoutubeDL.py", line 717, in process_ie_result
    return self.process_video_result(ie_result, download=download)
  File "/usr/lib/python2.7/site-packages/youtube_dl/YoutubeDL.py", line 1328, in process_video_result
    self.process_info(new_info)
  File "/usr/lib/python2.7/site-packages/youtube_dl/YoutubeDL.py", line 1590, in process_info
    success = dl(filename, info_dict)
  File "/usr/lib/python2.7/site-packages/youtube_dl/YoutubeDL.py", line 1532, in dl
    return fd.download(name, info)
  File "/usr/lib/python2.7/site-packages/youtube_dl/downloader/common.py", line 342, in download
    return self.real_download(filename, info_dict)
  File "/usr/lib/python2.7/site-packages/youtube_dl/downloader/http.py", line 60, in real_download
    data = self.ydl.urlopen(request)
  File "/usr/lib/python2.7/site-packages/youtube_dl/YoutubeDL.py", line 1865, in urlopen
    return self._opener.open(req, timeout=self._socket_timeout)
  File "/usr/lib64/python2.7/urllib2.py", line 423, in open
    protocol = req.get_type()
  File "/usr/lib64/python2.7/urllib2.py", line 285, in get_type
    raise ValueError, "unknown url type: %s" % self.__original
ValueError: unknown url type: //popplers5.bandcamp.com/download/track?enc=mp3-128&fsig=e2885cf1b3367fa7c152298040e4ebfb&id=2790257828&stream=1&ts=1443527878.0

Local variables in innermost frame:
self: <urllib2.Request instance at 0x7fa348176830>
Comment 1 Gwendal 2015-09-29 11:00:13 EDT
Created attachment 1078406 [details]
File: backtrace
Comment 2 Gwendal 2015-09-29 11:00:14 EDT
Created attachment 1078407 [details]
File: environ
Comment 3 Matěj Cepl 2015-10-09 06:11:22 EDT
OK, this is wrong URL, missing scheme.

Note You need to log in before you can comment on or make changes to this bug.